#ifndef DEF_AUTOMATE_AFF_DEBUG
#define DEF_AUTOMATE_AFF_DEBUG

#include "automate_base.h"

void AVL_afficher_debug(const AVL cur, void (*elem_aff)(const void *), int tab);

void Automate_afficher(Automate automate);

void Ensemble_afficher(const void * ens);

void (*Type_afficher(Element_Type type, int lien))(const void *);

void Etat_afficher(const void * etat);

void Etat_afficher_detail(const void * etat);

void Transition_afficher(const void * transition);

void Transition_afficher_debug(const void * transition);

void Mot_afficher(const void * mot);

void int_afficher(const void * entier);

void ptr_afficher(const void * ptr);

Mot (*Element_chaine(Element_Type type))(const void *);

Mot Ensemble_chaine(const void * element);

Mot Transition_chaine(const void * element);

Mot Etat_chaine(const void * element);

Mot Mot_chaine(const void * mot);

Mot int_chaine(const void * entier);

Mot ptr_chaine(const void * ptr);

Mot couple_chaine(const void * prem, const void * sec, Mot (*prem_chaine)(const void *), Mot (*sec_chaine)(const void *));

#endif
