#ifndef DEF_HEADER_AUTOMATE_PROPRIETE
#define DEF_HEADER_AUTOMATE_PROPRIETE

#include "automate_base.h"

int Automate_etat_est_accessible(Automate automate, Mot etat_nom);

int Automate_etat_est_non_accessible(Automate automate, Mot etat_nom);

int Automate_etat_est_coaccessible(Automate automate, Mot etat_nom);

int Automate_etat_est_non_coaccessible(Automate automate, Mot etat_nom);

int Automate_est_deterministe(Automate automate);

int Automate_est_complet(Automate automate);

int Automate_est_standard(Automate automate);

int Automate_etats_equivalents(Automate automate, Mot prem_etat, Mot sec_etat);

#endif
