#ifndef DEF_HEADER_AUTOMATE_UTILISATION
#define DEF_HEADER_AUTOMATE_UTILISATION

#include "automate_base.h"

int Automate_accepte_mot(Automate automate, Mot mot);

int Automate_completer(Automate * automate, Mot nom_etat_poubelle);

int Automate_determiniser(Automate * automate);

int Automate_standardiser(Automate * automate, Mot nom_etat_init);

int Automate_union_standard(Automate * automate, Automate ajout, Mot prefixe1, Mot prefixe2, Mot nom_etat_init);

int Automate_concatener_standard(Automate * automate, Automate ajout, Mot prefixe1, Mot prefixe2);

int Automate_etoile_standard(Automate * automate, Mot nom_etat_init);

int Automate_complementaire(Automate * automate);

int Automate_minimiser(Automate * automate);

int Automate_reconnaitre_prefixes(Automate * automate);

int Automate_reconnaitre_suffixes(Automate * automate);

int Automate_reconnaitre_facteurs(Automate * automate);

int Automate_produit(Automate * automate, Automate ajout, int (*est_final)(Automate, Automate, Etat, Etat));

	int Automate_produit_union(Automate prem, Automate sec, Etat prem_etat, Etat sec_etat);
	int Automate_produit_intersection(Automate prem, Automate sec, Etat prem_etat, Etat sec_etat);
	int Automate_produit_difference(Automate prem, Automate sec, Etat prem_etat, Etat sec_etat);

#endif
