#include <stdio.h>
#include <stdlib.h>
#include "automate_all.h"
#include "automate_lexique.h"

int main(int argc, char * argv[])
{
	Automate automate = NULL;
	Automate autre = NULL;
	FILE * lec = NULL;
	FILE * ecr = NULL;
	
	if((automate = Automate_creer()) == NULL)
	{
		printf("Erreur de création de l'automate\n");
		exit(EXIT_FAILURE);
	}
	if((autre = Automate_creer()) == NULL)
	{
		printf("Erreur de création de l'automate\n");
		exit(EXIT_FAILURE);
	}
	if((lec = fopen("media/liste", "r")) == NULL)
	{
		printf("Erreur d'ouverture de media/liste\n");
		exit(EXIT_FAILURE);
	}
	
	/*printf("Lexique ajout \"magie\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"rime"));
	printf("Lexique ajout \"rime\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"magie"));
	printf("Lexique ajout \"maths\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"maths"));
	printf("Lexique ajout \"rimer\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"rimer"));
	printf("Lexique ajout \"aimer\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"aimer"));
	printf("Lexique ajout \"aime\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"aime"));
	printf("Lexique ajout \"aimant\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"aimant"));
	printf("Lexique ajout \"aimante\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"aimante"));
	printf("Lexique ajout \"imant\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"imant"));
	printf("Lexique ajout \"rimant\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"rimant"));
	printf("Lexique ajout \"ramer\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"ramer"));
	printf("Lexique ajout \"rame\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"rame"));
	printf("Lexique ajout \"ramant\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"ramant"));
	printf("Lexique ajout \"motherlover\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"motherlover"));
	printf("Lexique ajout \"aimé\" = %d\n", Automate_lexique_ajouter_mot(&automate, (Mot)"aimé"));
	
	printf("Lexique accepte \"aimé\" = %d\n", Automate_accepte_mot(automate, (Mot)"aimé"));
	printf("Lexique accepte \"magie\" = %d\n", Automate_accepte_mot(automate, (Mot)"magie"));
	printf("Lexique accepte \"magier\" = %d\n", Automate_accepte_mot(automate, (Mot)"magier"));*/
	
	printf("Lecture = %d\n", Automate_lexique_lire(&automate, lec));
	/*printf("Chargement = %d\n", Automate_charger(automate, lec));*/
	
	fclose(lec);
	
	Automate_lexique_afficher(automate, stdout);
	
	/*printf("a = c%d e%d s%d se%d sec%d\n", Automate_etat_est_non_coaccessible(automate, (Mot)"3"),
	Automate_existe_transition(automate, (Mot)"3", (Mot)"i", (Mot)"3"),
	Automate_supprimer_transition(automate, (Mot)"3", (Mot)"i", (Mot)"3"),
	Automate_supprimer_transitions_etat(automate, (Mot)"3"),
	Automate_supprimer_etats_non_coaccessibles(automate));*/
	/*AVL_afficher_debug(automate->transitions->elements, &Transition_afficher_debug, 0);*/
	
	/*Automate_ajouter_etat(automate, (Mot)"1");
	Automate_ajouter_etat(automate, (Mot)"2");
	Automate_ajouter_etat(automate, (Mot)"3");
	Automate_ajouter_etat(automate, (Mot)"4");
	Automate_ajouter_etat_initial(automate, (Mot)"1");
	Automate_ajouter_etat_initial(automate, (Mot)"2");
	Automate_ajouter_etat_initial(automate, (Mot)"3");
	Automate_ajouter_etat_initial(automate, (Mot)"4");
	Automate_ajouter_etat_final(automate, (Mot)"1");
	Automate_ajouter_transition(automate, (Mot)"1", (Mot)"b", (Mot)"1");
	Automate_ajouter_transition(automate, (Mot)"1", (Mot)"a", (Mot)"2");
	Automate_ajouter_transition(automate, (Mot)"2", (Mot)"b", (Mot)"2");
	Automate_ajouter_transition(automate, (Mot)"2", (Mot)"a", (Mot)"3");
	Automate_ajouter_transition(automate, (Mot)"3", (Mot)"b", (Mot)"3");
	Automate_ajouter_transition(automate, (Mot)"3", (Mot)"a", (Mot)"4");
	Automate_ajouter_transition(automate, (Mot)"4", (Mot)"b", (Mot)"4");
	Automate_ajouter_transition(automate, (Mot)"4", (Mot)"a", (Mot)"1");*/
	
	/*Automate_ajouter_etat(automate, (Mot)"q0");
	Automate_ajouter_etat(automate, (Mot)"1");
	Automate_ajouter_etat(automate, (Mot)"2");
	Automate_ajouter_etat(automate, (Mot)"3");
	Automate_ajouter_etat(automate, (Mot)"4");
	Automate_ajouter_etat(automate, (Mot)"5");
	Automate_ajouter_etat_initial(automate, (Mot)"q0");
	Automate_ajouter_etat_final(automate, (Mot)"1");
	Automate_ajouter_etat_final(automate, (Mot)"3");
	Automate_ajouter_etat_final(automate, (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"q0", (Mot)"a", (Mot)"q0");
	Automate_ajouter_transition(automate, (Mot)"q0", (Mot)"a", (Mot)"1");
	Automate_ajouter_transition(automate, (Mot)"q0", (Mot)"b", (Mot)"2");
	Automate_ajouter_transition(automate, (Mot)"2", (Mot)"a", (Mot)"3");
	Automate_ajouter_transition(automate, (Mot)"2", (Mot)"b", (Mot)"4");
	Automate_ajouter_transition(automate, (Mot)"4", (Mot)"a", (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"4", (Mot)"b", (Mot)"4");
	Automate_ajouter_transition(automate, (Mot)"1", (Mot)"a", (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"3", (Mot)"a", (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"5", (Mot)"a", (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"1", (Mot)"b", (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"3", (Mot)"b", (Mot)"5");
	Automate_ajouter_transition(automate, (Mot)"5", (Mot)"b", (Mot)"5");*/
	
	/*Automate_ajouter_etat(autre, (Mot)"q0");
	Automate_ajouter_etat(autre, (Mot)"qf");
	Automate_ajouter_etat_initial(autre, (Mot)"q0");
	Automate_ajouter_etat_final(autre, (Mot)"qf");
	Automate_ajouter_transition(autre, (Mot)"q0", (Mot)"b", (Mot)"qf");
	Automate_ajouter_transition(autre, (Mot)"q0", (Mot)"b", (Mot)"q0");*/
	
	/*Automate_ajouter_etat(automate, (Mot)"1");
	Automate_ajouter_etat(automate, (Mot)"2");
	Automate_ajouter_etat(automate, (Mot)"3");
	Automate_ajouter_etat_initial(automate, (Mot)"1");
	Automate_ajouter_etat_final(automate, (Mot)"1");
	Automate_ajouter_transition(automate, (Mot)"1", (Mot)"é", (Mot)"2");
	Automate_ajouter_transition(automate, (Mot)"2", (Mot)"é", (Mot)"3");
	Automate_ajouter_transition(automate, (Mot)"3", (Mot)"é", (Mot)"1");
	
	Automate_ajouter_etat(autre, (Mot)"1");
	Automate_ajouter_etat(autre, (Mot)"2");
	Automate_ajouter_etat_initial(autre, (Mot)"1");
	Automate_ajouter_etat_final(autre, (Mot)"1");
	Automate_ajouter_transition(autre, (Mot)"1", (Mot)"é", (Mot)"2");
	Automate_ajouter_transition(autre, (Mot)"2", (Mot)"é", (Mot)"1");
	Automate_ajouter_transition(autre, (Mot)"1", (Mot)"b", (Mot)"1");
	Automate_ajouter_transition(autre, (Mot)"2", (Mot)"b", (Mot)"2");*/
	
	/*printf("Produit = %d\n", Automate_produit(&automate, autre, &Automate_produit_union));*/
	
	/*Automate_determiniser(&automate);*/
	
	/*Automate_reconnaitre_facteurs(&automate);*/
	
	/*printf("Minimisation = %d\n", Automate_minimiser(&automate));*/
	
	/*printf("Equivalents %s et %s = %d\n", "1", "2", Automate_etats_equivalents(automate, (Mot)"1", (Mot)"2"));*/
	
	/*printf("Renommer = %d\n", Automate_renommer_etats_par_nombre(&automate));*/
	
	/*Automate_ajouter_etat_initial(automate, (Mot)"0");
	
	Automate_determiniser(&automate);
	
	Automate_renommer_etats_par_nombre(automate);*/

	/*printf("union = %d\n", Automate_union_standard(&automate, autre, (Mot)"A", (Mot)"B", (Mot)"q0"));*/
	/*printf("concat = %d\n", Automate_concatener_standard(&automate, autre, (Mot)"A", (Mot)"B"));*/
	/*printf("etoile = %d\n", Automate_etoile_standard(&automate, (Mot)"init"));*/
	/*printf("complementaire = %d\n", Automate_complementaire(&automate));*/
	
	/*printf("Standard = %d\n", Automate_est_standard(automate));
	printf("Standardiser = %d\n", Automate_standardiser(&automate, (Mot)"init"));
	printf("Standard = %d\n", Automate_est_standard(automate));*/
	
	/*printf("Deterministe = %d\n", Automate_est_deterministe(automate));
	printf("Determiniser = %d\n", Automate_determiniser(&automate));
	printf("Deterministe = %d\n", Automate_est_deterministe(automate));
	
	printf("a accept = %d\n", Automate_accepte_mot(automate, (Mot)"a"));
	printf("aa accept = %d\n", Automate_accepte_mot(automate, (Mot)"aa"));
	printf("ababa accept = %d\n", Automate_accepte_mot(automate, (Mot)"ababa"));
	printf("b accept = %d\n", Automate_accepte_mot(automate, (Mot)"b"));
	printf("ab accept = %d\n", Automate_accepte_mot(automate, (Mot)"ab"));*/
	
	/*Automate_ajouter_etat(automate, (Mot)"qa0");
	Automate_ajouter_etat(automate, (Mot)"qaf");
	Automate_ajouter_etat(automate, (Mot)"qb1");
	Automate_ajouter_etat_initial(automate, (Mot)"qa0");
	Automate_ajouter_etat_final(automate, (Mot)"qaf");*/
	/*Automate_ajouter_etat_final(automate, (Mot)"qb1");
	Automate_ajouter_etat_final(automate, (Mot)"qa0");*/
	/*Automate_ajouter_transition(automate, (Mot)"qa0", (Mot)"a", (Mot)"qb1");
	Automate_ajouter_transition(automate, (Mot)"qb1", (Mot)"a", (Mot)"qaf");
	Automate_ajouter_transition(automate, (Mot)"qb1", (Mot)"b", (Mot)"qb1");*/
	/*printf("completer: %d\n", Automate_completer(automate, (Mot)"_|_"));*/
	
	/*printf("Epsilon accept = %d\n", Automate_accepte_mot(automate, (Mot)""));
	printf("a accept = %d\n", Automate_accepte_mot(automate, (Mot)"a"));
	printf("aa accept = %d\n", Automate_accepte_mot(automate, (Mot)"aa"));
	printf("aaa accept = %d\n", Automate_accepte_mot(automate, (Mot)"aaa"));
	printf("ab accept = %d\n", Automate_accepte_mot(automate, (Mot)"ab"));
	printf("bb accept = %d\n", Automate_accepte_mot(automate, (Mot)"bb"));
	printf("ba accept = %d\n", Automate_accepte_mot(automate, (Mot)"ba"));
	printf("aba accept = %d\n", Automate_accepte_mot(automate, (Mot)"aba"));
	printf("abb accept = %d\n", Automate_accepte_mot(automate, (Mot)"abb"));
	printf("abbba accept = %d\n", Automate_accepte_mot(automate, (Mot)"abbba"));
	printf("ababba accept = %d\n", Automate_accepte_mot(automate, (Mot)"ababba"));
	printf("aaabba accept = %d\n", Automate_accepte_mot(automate, (Mot)"aaabba"));
	printf("aaabbb accept = %d\n", Automate_accepte_mot(automate, (Mot)"aaabbb"));
	printf("aaababb accept = %d\n", Automate_accepte_mot(automate, (Mot)"aaababb"));
	printf("aaababab accept = %d\n", Automate_accepte_mot(automate, (Mot)"aaababab"));*/
	
	/*printf("Deterministe = %d\n", Automate_est_deterministe(automate));
	printf("Complet = %d\n", Automate_est_complet(automate));*/
	
	/*Automate_supprimer_transitions_etat(automate, (Mot)"q0");*/
	/*Automate_supprimer_etats_non_accessibles(automate);
	Automate_supprimer_etats_non_coaccessibles(automate);*/
	
	/*Automate_ajouter_lettre(automate, (Mot)"g");
	Automate_ajouter_lettre(automate, (Mot)"b");
	Automate_ajouter_lettre(automate, (Mot)"c");
	Automate_ajouter_lettre(automate, (Mot)"a");
	Automate_ajouter_lettre(automate, (Mot)"e");
	Automate_ajouter_lettre(automate, (Mot)"f");
	Automate_ajouter_etat(automate, (Mot)"q1");
	Automate_ajouter_etat(automate, (Mot)"q2");
	Automate_ajouter_etat(automate, (Mot)"q0");
	Automate_ajouter_transition(automate, (Mot)"q0", (Mot)"a", (Mot)"q1");
	Automate_ajouter_transition(automate, (Mot)"q0", (Mot)"d", (Mot)"q0");
	Automate_ajouter_etat_initial(automate, (Mot)"q0");
	Automate_ajouter_etat_final(automate, (Mot)"q1");*/
	
	/*Automate_supprimer_lettre(automate, (Mot)"b");
	Automate_supprimer_etat(automate, (Mot)"q2");
	Automate_supprimer_transition(automate, (Mot)"q0", (Mot)"a", (Mot)"q1");
	Automate_supprimer_lettre(automate, (Mot)"a");
	Automate_supprimer_etat(automate, (Mot)"q1");
	Automate_supprimer_transition(automate, (Mot)"q0", (Mot)"d", (Mot)"q0");
	Automate_supprimer_etat(automate, (Mot)"q0");
	printf("%d\n", Automate_supprimer_lettres_sans_transitions(automate));*/
	
	/*Automate_afficher(automate);*/
	if((ecr = fopen("media/automate3.automate", "w+")) == NULL)
	{
		printf("Erreur ouverture fichier automate\n");
		exit(EXIT_SUCCESS);
	}
	Automate_sauvegarder(automate, ecr);
	fclose(ecr);
	Automate_free(&automate);
	Automate_free(&autre);
	
	/*Mot mot = NULL;
	int entier = 999999999;
	void * ptr = (void *)2;
	printf("ptr: %p\n", ptr);
	mot = ptr_chaine(ptr);
	printf("mot ptr: %s\n", mot);
	Scalaire_free(&mot);*/
	
	/*AVL abr = NULL;
	AVL autre = NULL;
	abr = AVL_creer_noeud(Mot_creer((Mot)"Salut"));
	AVL_ajouter(&abr, Mot_creer((Mot)"Hello"), cmp_mot);
	AVL_ajouter(&abr, Mot_creer((Mot)"Welcome"), cmp_mot);
	autre = AVL_extraire(&abr, "Salut", cmp_mot);
	AVL_free(&autre, &Scalaire_free);
	AVL_free(&abr, &Scalaire_free);*/
	exit(EXIT_SUCCESS);
}
